users
Create Company User
Creates a new user associated with a company.
POST
/
api
/
company
/
users
Create Company User
curl --request POST \
--url https://api.fluid.app/api/company/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"affiliate": {
"name": "<string>",
"email": "jsmith@example.com",
"image_url": "<string>",
"username": "<string>",
"share_guid": "<string>",
"external_id": "<string>",
"fluid_rep_id": 123
},
"username": "<string>",
"active": true,
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"password": "<string>",
"avatar": "<string>",
"phone": "<string>",
"google_id": "<string>",
"bio": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"twitter": "<string>",
"linkedin": "<string>",
"whatsapp": "<string>",
"wechat": "<string>",
"youtube": "<string>",
"zip_code": "<string>",
"dob": "<string>",
"gender": "<string>",
"time_zone": "<string>",
"push_notifications": "<string>",
"email_notifications": "<string>",
"sms_notifications": "<string>",
"language_code": "<string>",
"country_code": "<string>"
}
'import requests
url = "https://api.fluid.app/api/company/users"
payload = {
"affiliate": {
"name": "<string>",
"email": "jsmith@example.com",
"image_url": "<string>",
"username": "<string>",
"share_guid": "<string>",
"external_id": "<string>",
"fluid_rep_id": 123
},
"username": "<string>",
"active": True,
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"password": "<string>",
"avatar": "<string>",
"phone": "<string>",
"google_id": "<string>",
"bio": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"twitter": "<string>",
"linkedin": "<string>",
"whatsapp": "<string>",
"wechat": "<string>",
"youtube": "<string>",
"zip_code": "<string>",
"dob": "<string>",
"gender": "<string>",
"time_zone": "<string>",
"push_notifications": "<string>",
"email_notifications": "<string>",
"sms_notifications": "<string>",
"language_code": "<string>",
"country_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliate: {
name: '<string>',
email: 'jsmith@example.com',
image_url: '<string>',
username: '<string>',
share_guid: '<string>',
external_id: '<string>',
fluid_rep_id: 123
},
username: '<string>',
active: true,
email: '<string>',
first_name: '<string>',
last_name: '<string>',
password: '<string>',
avatar: '<string>',
phone: '<string>',
google_id: '<string>',
bio: '<string>',
facebook: '<string>',
instagram: '<string>',
twitter: '<string>',
linkedin: '<string>',
whatsapp: '<string>',
wechat: '<string>',
youtube: '<string>',
zip_code: '<string>',
dob: '<string>',
gender: '<string>',
time_zone: '<string>',
push_notifications: '<string>',
email_notifications: '<string>',
sms_notifications: '<string>',
language_code: '<string>',
country_code: '<string>'
})
};
fetch('https://api.fluid.app/api/company/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Query Parameters
Email address of the user
Username for the user
External identifier for the user
Whether the user account is active
Body
application/json
Show child attributes
Show child attributes
Password for the user. This will be assigned if the User does not exist yet or if they do not have a password set.
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Create Company User
